Debian Bug report logs - #623095
libts-0.0-0: [REGRESSION 1.0-7 => 1.0-8] "selected device is not a touchscreen I understand" on openmoko

version graph

Package: libts-0.0-0; Maintainer for libts-0.0-0 is Debian QA Group <packages@qa.debian.org>; Source for libts-0.0-0 is src:tslib.

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Sun, 17 Apr 2011 10:15:03 UTC

Severity: important

Tags: patch

Merged with 623974

Found in version tslib/1.0-8

Fixed in version tslib/1.0-9

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Sun, 17 Apr 2011 10:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to Neil Williams <codehelp@debian.org>. (Sun, 17 Apr 2011 10:15:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libts-0.0-0: [REGRESSION 1.0-7 => 1.0-8] "selected device is not a touchscreen I understand" on openmoko
Date: Sun, 17 Apr 2011 13:02:57 +0300
Package: libts-0.0-0
Version: 1.0-8
Severity: important

Steps to reproduce:
0) get access to an openmoko freerunner
1) sudo sh -c 'TSLIB_TSDEVICE=/dev/input/event1 ts_test'

Expected results:
1) ts_test can read the touchscreen

Actual results:
1) ts_test prints

selected device is not a touchscreen I understand

and uses all available cpu time.

More info:
1) I am using openmoko freerunner

2) This bug occurs if I upgrade libts-0.0-0 1.0-7 to 1.0-8 and stops
occuring if I downgrade back to 1.0-7.

3) Discussion from #openmoko-debian:

< McKael> lindi-: I think my tslib is broken - your conf doesn't work here :/
< McKael> I can't see why.  It seems that in testing and unstable there are the same xorg packages
< lindi-> McKael: I think I just hit the bug after I rebooted :)
< McKael> lindi-: Sorry to say that but -- Yesss, I'm not alone :))
< lindi-> I don't reboot that often :)
< lindi-> dist-upgrade would remove gpsd-clients libsdl1.2debian-alsa python-gtk2
< lindi-> so this sounds like a bad day to do it
< lindi-> well hmm, after second boot the bug does not occur :)
< McKael> :o
< lindi-> aha, it only goes to that state if it timeouts
< lindi-> iiinteresting
< McKael> what state?
< lindi-> %CPU %MEM    TIME+  COMMAND
< lindi-> 97.8  4.6   0:11.02 Xorg
< lindi-> no, I need to touch the screen
< lindi-> then it goes to that state
< lindi-> my last boot was Apr 9
< lindi-> on Apr 13 I upgraded a bunch of packages: http://paste.debian.net/114294/
< lindi-> 1) "sudo X" 2) touch the screen    prints  "selected device is not a touchscreen I understand" and starts using 99% cpu
< lindi-> McKael: I'm downgrading to xserver-xorg 1:7.6+5 now
< lindi-> doesn't seem to help
< McKael> "selected device is not a touchscreen I understand" is the message ts_calibrate/ts_test give me
< lindi-> next I'll downgrade to libts-0.0-0 (1.0-7)
< lindi-> now I don't get that message anymore
< lindi-> so the bug occurs if you upgrade libts-0.0-0 (1.0-7) to libts-0.0-0 (1.0-8)
< lindi-> McKael: can you downgrade to   http://snapshot.debian.org/archive/debian/20110402T212619Z/pool/main/t/tslib/libts-0.0-0_1.0-7_armel.deb   and see if it fixes the problem for you as well?
< McKael> I'm leaving but I don't think I can break it more so I'll give it a quick try
< lindi-> :)
< lindi-> McKael: "apt-get upgrade" will give you the old broken version back
< lindi-> McKael: so downgrading one package should not be a problem
< McKael> yep
< lindi-> I'll file a bug report
< lindi-> McKael: how did you use ts_test?
< McKael> From ssh, after exporting TSLIB_TSDEVICE=/dev/input/event1
< lindi-> thanks
< lindi-> McKael: can I include the above discussion in the bug report?
< McKael> lindi-: seems to work, with your conf file
< McKael> lindi-: sure
< McKael> lindi-: looks good, thanks, I'll be back later!
< lindi-> -8 changelog does not have anything suspicious

4) Just for the completeness the paste.debian.org url contained

2011-04-13 10:30:34 upgrade base-files 6.1 6.3
2011-04-13 10:31:21 upgrade dpkg 1.15.8.10 1.16.0.1
2011-04-13 10:32:30 upgrade ncurses-bin 5.8+20110307-1 5.9-1
2011-04-13 10:33:15 upgrade sysvinit 2.88dsf-13.1 2.88dsf-13.2
2011-04-13 10:34:02 upgrade ncurses-base 5.8+20110307-1 5.9-1
2011-04-13 10:34:26 upgrade sysvinit-utils 2.88dsf-13.1 2.88dsf-13.2
2011-04-13 10:35:11 upgrade libgomp1 4.6.0-1 4.6.0-2
2011-04-13 10:35:13 upgrade libgfortran3 4.6.0-1 4.6.0-2
2011-04-13 10:35:18 upgrade gcc-4.6-base 4.6.0-1 4.6.0-2
2011-04-13 10:35:34 upgrade libgcc1 1:4.6.0-1 1:4.6.0-2
2011-04-13 10:35:53 upgrade libstdc++6 4.6.0-1 4.6.0-2
2011-04-13 10:36:18 upgrade udev 166-1 167-2
2011-04-13 10:36:42 upgrade libudev0 166-1 167-2
2011-04-13 10:37:00 upgrade keyboard-configuration 1.72 1.73
2011-04-13 10:37:05 upgrade popularity-contest 1.51 1.52
2011-04-13 10:37:11 upgrade apt 0.8.13 0.8.13.2
2011-04-13 10:38:20 upgrade libslang2 2.2.2-4 2.2.4-1
2011-04-13 10:38:48 upgrade sysv-rc 2.88dsf-13.1 2.88dsf-13.2
2011-04-13 10:40:33 upgrade initscripts 2.88dsf-13.1 2.88dsf-13.2
2011-04-13 10:41:40 upgrade libncurses5 5.8+20110307-1 5.9-1
2011-04-13 10:41:58 upgrade apt-utils 0.8.13 0.8.13.2
2011-04-13 10:42:05 upgrade iproute 20110107-2 20110315-1
2011-04-13 10:42:30 upgrade iputils-ping 3:20101006-1 3:20101006-1+b1
2011-04-13 10:42:33 upgrade isc-dhcp-client 4.1.1-P1-16 4.1.1-P1-16.1
2011-04-13 10:42:40 upgrade isc-dhcp-common 4.1.1-P1-16 4.1.1-P1-16.1
2011-04-13 10:42:45 upgrade libncursesw5 5.8+20110307-1 5.9-1
2011-04-13 10:42:50 upgrade libssl-dev 0.9.8o-5 1.0.0d-1
2011-04-13 10:43:15 upgrade libssl0.9.8 0.9.8o-5 0.9.8o-7
2011-04-13 10:43:21 upgrade man-db 2.5.9-4 2.6.0.1-1
2011-04-13 10:43:34 upgrade libdb4.6 4.6.21-17 4.6.21-18
2011-04-13 10:43:55 upgrade libgpm2 1.20.4-3.3 1.20.4-3.4
2011-04-13 10:43:57 upgrade libk5crypto3 1.9+dfsg-1 1.9+dfsg-1+b1
2011-04-13 10:44:01 upgrade libgssapi-krb5-2 1.9+dfsg-1 1.9+dfsg-1+b1
2011-04-13 10:44:05 upgrade libkrb5-3 1.9+dfsg-1 1.9+dfsg-1+b1
2011-04-13 10:44:11 upgrade libkrb5support0 1.9+dfsg-1 1.9+dfsg-1+b1
2011-04-13 10:44:14 upgrade libldap-2.4-2 2.4.23-7 2.4.25-1
2011-04-13 10:44:19 upgrade m4 1.4.14-3 1.4.16-1
2011-04-13 10:44:31 upgrade openssh-server 1:5.8p1-3 1:5.8p1-4
2011-04-13 10:44:56 upgrade openssh-client 1:5.8p1-3 1:5.8p1-4
2011-04-13 10:45:17 upgrade autoconf 2.67-2 2.68-1
2011-04-13 10:45:28 upgrade binutils 2.21.0.20110327-2 2.21.0.20110327-3
2011-04-13 10:46:05 upgrade busybox 1:1.18.4-1 1:1.18.4-2
2011-04-13 10:46:09 upgrade cpp 4:4.5.2-4 4:4.5.2-5
2011-04-13 10:46:12 upgrade cython 0.14.1-4 0.14.1-5
2011-04-13 10:46:45 upgrade dpkg-dev 1.15.8.10 1.16.0.1
2011-04-13 10:46:54 upgrade libdpkg-perl 1.15.8.10 1.16.0.1
2011-04-13 10:47:03 upgrade make 3.81-8 3.81-8.1
2011-04-13 10:47:08 upgrade debhelper 8.1.2 8.1.3
2011-04-13 10:47:31 upgrade gcc 4:4.5.2-4 4:4.5.2-5
2011-04-13 10:47:34 upgrade libtool 2.2.6b-2 2.4-2
2011-04-13 10:47:42 upgrade dh-autoreconf 2 3
2011-04-13 10:47:46 upgrade emacs23-nox 23.2+1-7 23.3+1-1
2011-04-13 10:48:12 upgrade emacs23-bin-common 23.2+1-7 23.3+1-1
2011-04-13 10:48:17 upgrade emacs23-common 23.2+1-7 23.3+1-1
2011-04-13 10:50:08 upgrade g++ 4:4.5.2-4 4:4.5.2-5
2011-04-13 10:50:10 upgrade libtiff4 3.9.4-8 3.9.4-9
2011-04-13 10:50:15 upgrade libgs9-common 9.01~dfsg-2 9.02~dfsg-1
2011-04-13 10:50:41 upgrade ghostscript 9.01~dfsg-2 9.02~dfsg-1
2011-04-13 10:50:47 upgrade libgs9 9.01~dfsg-2 9.02~dfsg-1
2011-04-13 10:51:26 upgrade libhal-dev 0.5.14-5 0.5.14-6
2011-04-13 10:51:30 upgrade libhal1 0.5.14-5 0.5.14-6
2011-04-13 10:51:32 upgrade libhal-storage1 0.5.14-5 0.5.14-6
2011-04-13 10:51:35 upgrade hal 0.5.14-5 0.5.14-6
2011-04-13 10:51:46 upgrade iso-codes 3.24.2-1 3.25-1
2011-04-13 10:52:32 upgrade libroken18-heimdal 1.4.0-4 1.4.0-5
2011-04-13 10:52:35 upgrade libasn1-8-heimdal 1.4.0-4 1.4.0-5
2011-04-13 10:52:47 upgrade libatk1.0-0 1.32.0-3 2.0.0-1
2011-04-13 10:52:51 upgrade libatk1.0-data 1.32.0-3 2.0.0-1
2011-04-13 10:53:13 upgrade libavahi-common-data 0.6.29-1 0.6.30-2
2011-04-13 10:53:30 upgrade libavahi-common3 0.6.29-1 0.6.30-2
2011-04-13 10:53:33 upgrade libavahi-client3 0.6.29-1 0.6.30-2
2011-04-13 10:53:37 upgrade libavahi-glib1 0.6.29-1 0.6.30-2
2011-04-13 10:53:40 upgrade libbluetooth3 4.89-1 4.91-1
2011-04-13 10:53:44 upgrade libdrm2 2.4.23-3 2.4.24-2
2011-04-13 10:53:49 upgrade libx11-data 2:1.4.2-1 2:1.4.3-1
2011-04-13 10:54:01 upgrade x11proto-core-dev 7.0.20-1 7.0.21-2
2011-04-13 10:54:18 upgrade libx11-dev 2:1.4.2-1 2:1.4.3-1
2011-04-13 10:54:57 upgrade xkb-data 1.8-2 2.1-2
2011-04-13 10:55:38 upgrade libx11-6 2:1.4.2-1 2:1.4.3-1
2011-04-13 10:55:43 upgrade libgl1-mesa-glx 7.10-4 7.10.2-1
2011-04-13 10:55:47 upgrade libx11-xcb1 2:1.4.2-1 2:1.4.3-1
2011-04-13 10:55:51 upgrade libegl1-mesa 7.10-4 7.10.2-1
2011-04-13 10:55:59 upgrade libwww-perl 5.837-1 6.01-3
2011-04-13 10:56:36 upgrade libgdk-pixbuf2.0-0 2.22.1-1+sid1 2.23.3-3
2011-04-13 10:57:14 upgrade libpango1.0-0 1.28.3-5 1.28.3-6
2011-04-13 10:57:20 upgrade libgtk2.0-common 2.24.3-1~sid1 2.24.4-3
2011-04-13 10:58:16 upgrade libgail18 2.24.3-1~sid1 2.24.4-3
2011-04-13 10:58:21 upgrade libgtk2.0-0 2.24.3-1~sid1 2.24.4-3
2011-04-13 10:58:32 upgrade libgeoip1 1.4.7~beta12+dfsg-1 1.4.7~beta14+dfsg-1
2011-04-13 10:58:36 upgrade libglu1-mesa 7.10-4 7.10.2-1
2011-04-13 10:59:04 upgrade libgnome-keyring0 2.32.0-1 3.0.0-1
2011-04-13 10:59:10 upgrade libgtk2.0-bin 2.24.3-1~sid1 2.24.4-3
2011-04-13 10:59:13 upgrade libgudev-1.0-0 166-1 167-2
2011-04-13 10:59:17 upgrade libimlib2 1.4.2-8+b2 1.4.4-1
2011-04-13 10:59:25 upgrade libwind0-heimdal 1.4.0-4 1.4.0-5
2011-04-13 10:59:28 upgrade libhx509-5-heimdal 1.4.0-4 1.4.0-5
2011-04-13 10:59:42 upgrade libkrb5-26-heimdal 1.4.0-4 1.4.0-5
2011-04-13 10:59:46 upgrade libltdl7 2.2.6b-2 2.4-2
2011-04-13 10:59:53 upgrade libnm-util1 0.8.3.998-1 0.8.3.999-1
2011-04-13 10:59:58 upgrade libnm-glib2 0.8.3.998-1 0.8.3.999-1
2011-04-13 11:00:01 upgrade libpcap0.8-dev 1.1.1-2 1.1.1-3
2011-04-13 11:00:09 upgrade libpcap0.8 1.1.1-2 1.1.1-3
2011-04-13 11:00:23 upgrade libpcap-dev 1.1.1-2 1.1.1-3
2011-04-13 11:00:25 upgrade libphonon4 4:4.6.0really4.4.4-3 4:4.6.0really4.5.0-2
2011-04-13 11:00:28 upgrade libpixman-1-dev 0.21.4-2 0.21.6-2
2011-04-13 11:00:32 upgrade libpixman-1-0 0.21.4-2 0.21.6-2
2011-04-13 11:00:36 upgrade libpolkit-gobject-1-0 0.101-2 0.101-3
2011-04-13 11:00:39 upgrade libpolkit-backend-1-0 0.101-2 0.101-3
2011-04-13 11:00:43 upgrade libruby1.8 1.8.7.334-3 1.8.7.334-4
2011-04-13 11:01:32 upgrade libsensors4 1:3.2.0-1 1:3.3.0-1
2011-04-13 11:01:36 upgrade libsoup2.4-1 2.30.2-1 2.34.0-1
2011-04-13 11:01:40 upgrade libsoup-gnome2.4-1 2.30.2-1 2.34.0-1
2011-04-13 11:01:54 upgrade libssh2-1 1.2.7-1 1.2.8-1
2011-04-13 11:01:58 upgrade libtag1c2a 1.6.3-1 1.7-1
2011-04-13 11:01:59 upgrade libtag1-vanilla 1.6.3-1 1.7-1
2011-04-13 11:02:03 upgrade libtagc0 1.6.3-1 1.7-1
2011-04-13 11:02:09 upgrade libtotem-plparser17 2.30.3-2 2.32.4-3
2011-04-13 11:02:34 upgrade libts-dev 1.0-7 1.0-8
2011-04-13 11:02:37 upgrade tsconf 1.0-7 1.0-8
2011-04-13 11:02:39 upgrade libts-0.0-0 1.0-7 1.0-8
2011-04-13 11:02:43 upgrade libts-bin 1.0-7 1.0-8
2011-04-13 11:02:46 upgrade libva1 1.0.8-3 1.0.12-1
2011-04-13 11:02:50 upgrade linux-libc-dev 2.6.38-1 2.6.38-3
2011-04-13 11:03:31 upgrade magit 0.8.2+20110220-1 1.0.0-1
2011-04-13 11:03:37 upgrade mupdf 0.8-1 0.8.15-1
2011-04-13 11:04:04 upgrade openssl 0.9.8o-5 1.0.0d-1
2011-04-13 11:04:17 upgrade pm-utils 1.4.1-7 1.4.1-8
2011-04-13 11:04:24 upgrade python-gobject 2.21.4+is.2.21.3-1 2.28.3-2
2011-04-13 11:04:47 upgrade python-gtk2 2.17.0-4 2.17.0-4+b1
2011-04-13 11:05:01 upgrade python-numpy 1:1.4.1-5 1:1.5.1-2
2011-04-13 11:05:36 upgrade python-yaml 3.09-5 3.09-5+b1
2011-04-13 11:05:47 upgrade tcpdump 4.1.1-1 4.1.1-2
2011-04-13 11:05:51 upgrade u-boot-tools 2011.03-1 2011.03-3
2011-04-13 11:05:54 upgrade udhcpd 1:1.18.4-1 1:1.18.4-2
2011-04-13 11:06:15 upgrade wpasupplicant 0.6.10-2.1 0.7.3-2
2011-04-13 11:06:24 upgrade x11-common 1:7.6+5 1:7.6+6
2011-04-13 11:06:29 upgrade x11-xserver-utils 7.6+1 7.6+2
2011-04-13 11:06:35 upgrade xserver-xorg-video-glamo 0.0.0+20100630.git16af3c00-1 0.0.0+20100630.git16af3c00-2
2011-04-13 11:06:38 upgrade xserver-xorg 1:7.6+5 1:7.6+6
2011-04-13 11:07:03 upgrade dhcp3-client 4.1.1-P1-16 4.1.1-P1-16.1
2011-04-13 11:07:05 upgrade libccid 1.4.2-2 1.4.3-1
2011-04-13 11:07:10 upgrade libgarmin0 0~svn320-1 0~svn320-3
2011-04-13 11:07:13 upgrade uboot-envtools 20081215-3+2011.03-1 20081215-3+2011.03-3

5) diff -ur between the unpacked source tree shows

        if (! ((ioctl(ts->fd, EVIOCGVERSION, &version) >= 0) &&
                (version == EV_VERSION) &&
-               (ioctl(ts->fd, EVIOCGBIT(0, sizeof(bit) * 8), &bit) >= 0) &&
-               (bit & (1 << EV_ABS)) &&
-               (ioctl(ts->fd, EVIOCGBIT(EV_ABS, sizeof(absbit) * 8), &absbit) >= 0) &&
-               (absbit & (1 << ABS_X)) &&
-               (absbit & (1 << ABS_Y)) && (absbit & (1 << ABS_PRESSURE)))) {
+               (ioctl(ts->fd, EVIOCGBIT(0, sizeof(bit)), bit) >= 0) &&
+               (bit[0] & (1 << EV_ABS)) &&
+               (ioctl(ts->fd, EVIOCGBIT(EV_ABS, sizeof(absbit)), absbit) >= 0) &&
+               (absbit[0] & (1 << ABS_X)) &&
+               (absbit[0] & (1 << ABS_Y)) && (absbit[0] & (1 << ABS_PRESSURE)))) {
                fprintf(stderr, "selected device is not a touchscreen I understand\n");
                return -1;
 

but this is probably only because quilt applies patches on unpack but
source format 1.0 did not?

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.29-3f4c7e4fa3d937a8
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages libts-0.0-0 depends on:
ii  libc6                         2.11.2-13  Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.6.0-2  GCC support library
ii  tsconf                        1.0-8      touch screen library common files

libts-0.0-0 recommends no packages.

libts-0.0-0 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Sun, 24 Apr 2011 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Sun, 24 Apr 2011 23:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 623095@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Gilles Filippini <pini@debian.org>, 623974@bugs.debian.org, 623095@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#623974: No more working touchscreen on my FreeRunner after upgrading to 0.0.6-6
Date: Mon, 25 Apr 2011 01:32:51 +0200
[Message part 1 (text/plain, inline)]
On Mon, 25 Apr 2011 01:11:02 +0200, Gilles Filippini wrote:

> After upgrading my OpenMoko FreeRunner today, the touchscreen isn't working
> anymore. This upgrade pulled X.org 1.9 and xserver-xorg-input-tslib 0.0.6-6.

This sounds more like #623095: "libts-0.0-0: [REGRESSION 1.0-7 =>
1.0-8] "selected device is not a touchscreen I understand" on openmoko"
 
Cheers,
gregor

-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Bob Dylan: Like A Rolling Stone
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Mon, 25 Apr 2011 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Mon, 25 Apr 2011 09:54:07 GMT) Full text and rfc822 format available.

Message #15 received at 623095@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 623974@bugs.debian.org, 623095@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#623974: No more working touchscreen on my FreeRunner after upgrading to 0.0.6-6
Date: Mon, 25 Apr 2011 11:49:59 +0200
[Message part 1 (text/plain, inline)]
reassing 623974 libts-0.0.0 1.0-8
forcemerge 623095 623974
thanks

gregor herrmann a écrit , Le 25/04/2011 01:32:
> On Mon, 25 Apr 2011 01:11:02 +0200, Gilles Filippini wrote:
> 
>> After upgrading my OpenMoko FreeRunner today, the touchscreen isn't working
>> anymore. This upgrade pulled X.org 1.9 and xserver-xorg-input-tslib 0.0.6-6.
> 
> This sounds more like #623095: "libts-0.0-0: [REGRESSION 1.0-7 =>
> 1.0-8] "selected device is not a touchscreen I understand" on openmoko"

I can confirm this is #623095 indeed. Reverting libts-0.0.0 to 1.0-7
makes the touchscreen functional again.

Many thanks,

_g.

[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 623095 623974. Request was from Gilles Filippini <pini@debian.org> to control@bugs.debian.org. (Mon, 25 Apr 2011 10:27:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Mon, 25 Apr 2011 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles Filippini <pini@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Mon, 25 Apr 2011 14:48:03 GMT) Full text and rfc822 format available.

Message #22 received at 623095@bugs.debian.org (full text, mbox):

From: Gilles Filippini <pini@debian.org>
To: 623095@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#623974: No more working touchscreen on my FreeRunner after upgrading to 0.0.6-6
Date: Mon, 25 Apr 2011 16:45:23 +0200
[Message part 1 (text/plain, inline)]
Gilles Filippini a écrit , Le 25/04/2011 11:49:
> I can confirm this is #623095 indeed. Reverting libts-0.0.0 to 1.0-7
> makes the touchscreen functional again.

It seems glibc related because version 1.0-7 has the very same problem
when I rebuild it locally. Then replacing /usr/lib/ts0/input.so only
with the one from [1] solves the problem.

_g.

[1]
<http://snapshot.debian.org/archive/debian/20090327T092700Z/pool/main/t/tslib/libts-0.0-0_1.0-7_armel.deb>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Thu, 28 Apr 2011 11:42:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Thu, 28 Apr 2011 11:42:21 GMT) Full text and rfc822 format available.

Message #27 received at 623095@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 623095@bugs.debian.org
Subject: tslib: 623095: possibly a kernel issue
Date: Thu, 28 Apr 2011 19:38:26 +0800
[Message part 1 (text/plain, inline)]
From the #debian-arm IRC channel:

<pabs> codehelp: any chance to get #623095 fixed soon?
<rtp> pabs: which kernel are you using ?
<pabs> pkg-fso 2.6.34
<rtp> ok, so you're maybe hitting the problem I'm thinking of.
<rtp> in 2.6.37 there has been changes in put stuff (see commit
8613e4c2872a87cc309a42de2c7091744dc54d0e in Linus tree) and they
increased ev version number
<rtp> so if tslib has been build with >= 2.6.37 header, there will be a
version mismatch
<rtp> s/put/input/
<pabs> hmmm
<pabs> its about time there was a newer kernel for openmoko devices,
will try to see if there are any plans for a new one
<rtp> you can ask larsc or the other possibility would be to backport
the commit I gave but this may break stuff for people updating the
kernel but not userspace

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Tue, 07 Jun 2011 11:54:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Tue, 07 Jun 2011 11:54:50 GMT) Full text and rfc822 format available.

Message #32 received at 623095@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 623095@bugs.debian.org, control@bugs.debian.org
Cc: Paul Wise <pabs@debian.org>
Subject: tslib: 623095: possibly a kernel issue
Date: Tue, 07 Jun 2011 14:14:50 +0300
[Message part 1 (text/plain, inline)]
package libts-0.0-0
tags 623095 patch
thanks

Hi,

if I read 8613e4c2872a87cc309a42de2c7091744dc54d0e correctly it seems
that it does not modify any parts of the API that tslib actually uses.

Wouldn't it then be safe for tslib to allow both EV_VERSION 0x010001 and
0x010000?

I've attached a tested debdiff against 1.0-8. source package and armel
binaries are available at

http://lindi.iki.fi/lindi/tslib/

[tslib_1.0-8lindi1.debdiff.txt (text/plain, inline)]
diff -Nru tslib-1.0/debian/changelog tslib-1.0/debian/changelog
--- tslib-1.0/debian/changelog	2011-04-05 21:41:48.000000000 +0300
+++ tslib-1.0/debian/changelog	2011-06-07 13:57:20.000000000 +0300
@@ -1,3 +1,15 @@
+tslib (1.0-8lindi1) unstable; urgency=low
+
+  * Add patch allow_EV_VERSION_0 to continue supporting Linux 2.6.36 and
+    older. Previously kernel support depended on the kernel headers that
+    tslib was built against. (Closes: #623095)
+  
+  * Do not refuse to work with old kernels. We can safely work with
+    kernels that use EV_VERSION 0x010000 API since we use no features from
+    0x010001 yet. (Closes: #623095)
+
+ -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 07 Jun 2011 13:22:27 +0300
+
 tslib (1.0-8) unstable; urgency=low
 
   * Drop .la file as per Policy 10.2 (Closes: #620658)
diff -Nru tslib-1.0/debian/patches/allow_EV_VERSION_0 tslib-1.0/debian/patches/allow_EV_VERSION_0
--- tslib-1.0/debian/patches/allow_EV_VERSION_0	1970-01-01 02:00:00.000000000 +0200
+++ tslib-1.0/debian/patches/allow_EV_VERSION_0	2011-06-07 13:57:05.000000000 +0300
@@ -0,0 +1,22 @@
+Description: Support Linux 2.6.36 and older
+ Linux 2.6.37 bumps EV_VERSION to 0x010001. To continue support for
+ Linux 2.6.36 and older we explicitely allow EV_VERSION 0x010000
+ here. This should not be a problem since tslib does not currently use
+ any of the API that was changed in this bump (upstream commit
+ 8613e4c2872a87cc309a42de2c7091744dc54d0e).
+Author: Timo Juhani Lindfors <timo.lindfors@iki.fi>
+Last-Update: 2011-06-07
+Forwarded: no
+Bug-Debian: http://bugs.debian.org/623095
+
+--- a/plugins/input-raw.c
++++ b/plugins/input-raw.c
+@@ -60,7 +60,7 @@
+ 	unsigned long absbit[ABS_MAX / BITS_PER_LONG + 1];
+ 
+ 	if (! ((ioctl(ts->fd, EVIOCGVERSION, &version) >= 0) &&
+-		(version == EV_VERSION) &&
++		(version == EV_VERSION || version == 0x010000) &&
+ 		(ioctl(ts->fd, EVIOCGBIT(0, sizeof(bit)), bit) >= 0) &&
+ 		(bit[0] & (1 << EV_ABS)) &&
+ 		(ioctl(ts->fd, EVIOCGBIT(EV_ABS, sizeof(absbit)), absbit) >= 0) &&
diff -Nru tslib-1.0/debian/patches/series tslib-1.0/debian/patches/series
--- tslib-1.0/debian/patches/series	2011-04-05 21:38:26.000000000 +0300
+++ tslib-1.0/debian/patches/series	2011-06-07 13:19:36.000000000 +0300
@@ -3,3 +3,4 @@
 32bitBE-support.diff
 ac-init.diff
 glibc2.8.diff
+allow_EV_VERSION_0
[Message part 3 (text/plain, inline)]
-Timo

Added tag(s) patch. Request was from Timo Juhani Lindfors <timo.lindfors@iki.fi> to control@bugs.debian.org. (Tue, 07 Jun 2011 11:55:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Wed, 22 Jun 2011 19:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Wed, 22 Jun 2011 19:54:07 GMT) Full text and rfc822 format available.

Message #39 received at 623095@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 623095@bugs.debian.org
Subject: Re: Bug#623095: tslib: 623095: possibly a kernel issue
Date: Wed, 22 Jun 2011 21:52:24 +0200
[Message part 1 (text/plain, inline)]
On Tue, 07 Jun 2011 14:14:50 +0300, Timo Juhani Lindfors wrote:

> I've attached a tested debdiff against 1.0-8. source package and armel
> binaries are available at
> 
> http://lindi.iki.fi/lindi/tslib/

The patched package works fine for me, thanks!


Cheers,
gregor 


-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Treibhaus: Colosseum
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Wed, 22 Jun 2011 19:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Schauer <j.schauer@email.de>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Wed, 22 Jun 2011 19:57:07 GMT) Full text and rfc822 format available.

Message #44 received at 623095@bugs.debian.org (full text, mbox):

From: Johannes Schauer <j.schauer@email.de>
To: 623095@bugs.debian.org
Subject: Re: tslib: 623095: possibly a kernel issue
Date: Wed, 22 Jun 2011 21:53:01 +0200
Hi,

I'm running linux-image-2.6.37-qtmoko-gta02 from pkg-fso repositories
and can confirm that the patched tslib packages by lindi make the
touchscreen work again.

Thank you!

cheers, josch




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Tue, 05 Jul 2011 06:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Tue, 05 Jul 2011 06:27:07 GMT) Full text and rfc822 format available.

Message #49 received at 623095@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Neil Williams <codehelp@debian.org>
Cc: 623095@bugs.debian.org, Paul Wise <pabs@debian.org>, gregor herrmann <gregoa@debian.org>, Johannes Schauer <j.schauer@email.de>, Gilles Filippini <pini@debian.org>
Subject: tslib: 623095: possibly a kernel issue
Date: Tue, 05 Jul 2011 09:25:28 +0300
Hi,

since I haven't got any feedback and this issue has caused openmoko
install.sh to fail for more than two months I'll start preparing an NMU
soon.

-Timo




Information forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#623095; Package libts-0.0-0. (Tue, 05 Jul 2011 15:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Neil Williams <codehelp@debian.org>. (Tue, 05 Jul 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #54 received at 623095@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 623095@bugs.debian.org
Subject: Re: Bug#623095: tslib: 623095: possibly a kernel issue
Date: Tue, 5 Jul 2011 16:52:21 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Tue, Jul 05, 2011 at 09:25:28AM +0300, Timo Juhani Lindfors wrote:

> since I haven't got any feedback and this issue has caused openmoko
> install.sh to fail for more than two months I'll start preparing an NMU
> soon.

I have tested the patch and it seems to work here on IGEPv2 board.
I'll try to make an upload of the package ASAP.

Cheers,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[signature.asc (application/pgp-signature, inline)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Tue, 05 Jul 2011 21:08:39 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Tue, 05 Jul 2011 21:09:02 GMT) Full text and rfc822 format available.

Message #59 received at 623095-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 623095-close@bugs.debian.org
Subject: Bug#623095: fixed in tslib 1.0-9
Date: Tue, 05 Jul 2011 21:04:02 +0000
Source: tslib
Source-Version: 1.0-9

We believe that the bug you reported is fixed in the latest version of
tslib, which is due to be installed in the Debian FTP archive:

libts-0.0-0-dbg_1.0-9_i386.deb
  to main/t/tslib/libts-0.0-0-dbg_1.0-9_i386.deb
libts-0.0-0_1.0-9_i386.deb
  to main/t/tslib/libts-0.0-0_1.0-9_i386.deb
libts-bin_1.0-9_i386.deb
  to main/t/tslib/libts-bin_1.0-9_i386.deb
libts-dev_1.0-9_i386.deb
  to main/t/tslib/libts-dev_1.0-9_i386.deb
tsconf_1.0-9_all.deb
  to main/t/tslib/tsconf_1.0-9_all.deb
tslib_1.0-9.debian.tar.gz
  to main/t/tslib/tslib_1.0-9.debian.tar.gz
tslib_1.0-9.dsc
  to main/t/tslib/tslib_1.0-9.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623095@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated tslib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 05 Jul 2011 19:45:03 +0100
Source: tslib
Binary: libts-0.0-0 libts-dev libts-bin libts-0.0-0-dbg tsconf
Architecture: source i386 all
Version: 1.0-9
Distribution: unstable
Urgency: low
Maintainer: Neil Williams <codehelp@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 libts-0.0-0 - touch screen library
 libts-0.0-0-dbg - touch screen library debug symbols
 libts-bin  - touch screen library utilities
 libts-dev  - touch screen library, development files
 tsconf     - touch screen library common files
Closes: 623095
Changes: 
 tslib (1.0-9) unstable; urgency=low
 .
   [ Timo Juhani Lindfors ]
   * Add patch allow_EV_VERSION_0 to continue supporting Linux 2.6.36 and
     older. Previously kernel support depended on the kernel headers that
     tslib was built against. (Closes: #623095)
 .
   * Do not refuse to work with old kernels. We can safely work with
     kernels that use EV_VERSION 0x010000 API since we use no features from
     0x010001 yet. (Closes: #623095)
 .
   [ Hector Oron ]
   * Add myself to Uploaders field.
 .
   [ Neil Williams ]
   * Clean m4/internal and adjust for the new symbols generated
     (lintian). Update standards version.
Checksums-Sha1: 
 fd410b08f45653e022e37b6ecd10dff158679c10 2055 tslib_1.0-9.dsc
 104035eabe378f62c381edfa54bd7a4b4e42eb42 13778 tslib_1.0-9.debian.tar.gz
 4757ce090b41b6e2127e8d8b1b5b8bc827a9f70a 29308 libts-0.0-0_1.0-9_i386.deb
 e8346dc60b335f394c1f9e700055f191b71f6de8 11470 libts-dev_1.0-9_i386.deb
 72c83b3efc4db2f5f9ec65eb397f7784a8ec6d39 31624 libts-bin_1.0-9_i386.deb
 5a1d1d5dcc2d68ef276401e7ea6ae73c0ef66523 63884 libts-0.0-0-dbg_1.0-9_i386.deb
 f25f06908024eb22382bb7b0332678c9d46100da 12996 tsconf_1.0-9_all.deb
Checksums-Sha256: 
 9baeb0c0a2e8a3279e07e08ff7aafc27360d6983ad37897aeaf6436444df3047 2055 tslib_1.0-9.dsc
 2ef5f53d4f60531e16794b90e5eeddb29576a0bb91303745eff4eacc461ed7d1 13778 tslib_1.0-9.debian.tar.gz
 6b22ffef3a1ec3aa16337acaaa43ca82024c5c7aac692d5e91fa319fd130be0e 29308 libts-0.0-0_1.0-9_i386.deb
 ab5f5a7999a0b07c649d09317542e932443e44e05b3845329edccdff854d0b7e 11470 libts-dev_1.0-9_i386.deb
 6e05b5a79d199631e283a8911e8ef863718c9c8171b8aee9801f2bf890b27766 31624 libts-bin_1.0-9_i386.deb
 6c6cec1599beeb9f8abdbd00420482d0e2548c41f38160fa33e3eb67a5f28dcb 63884 libts-0.0-0-dbg_1.0-9_i386.deb
 1a9e583d39f32c0c6a42e1809d01e2cc18febced81e4a58a0e860c20c486b65e 12996 tsconf_1.0-9_all.deb
Files: 
 7de334d859c809c97fc572c50a0e96ab 2055 embedded optional tslib_1.0-9.dsc
 e6b3ae8e4ecf3930702279b8981bec8a 13778 embedded optional tslib_1.0-9.debian.tar.gz
 ab0da3b4fd0819c694c81047393c4e42 29308 libs optional libts-0.0-0_1.0-9_i386.deb
 25b1ce1965749768ce05730d8b3bae63 11470 libdevel optional libts-dev_1.0-9_i386.deb
 7c5843ba26e4b16c7d7f97c14449d553 31624 embedded optional libts-bin_1.0-9_i386.deb
 69879424155bfaf4c9af40e3f25cafc9 63884 debug extra libts-0.0-0-dbg_1.0-9_i386.deb
 d7d4780c3ac27a52ab2a97276ab99df0 12996 embedded optional tsconf_1.0-9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOE2rjAAoJEK8ig6p24qx7DKUQAKjJdIDOXvBkTfl06pT8x0Bx
N7G3nBRhkTjO0M4RTIyCGMJu0vJ3kwHvX8+71FLWwtjQSwgSVs+z0h/OuCcVT8Pv
tFbVgRW8tChdytx2qjreoHYb1/HTOPJQhKHwvrMH5m9x87tFwLYUJS1qGvYFibSz
Y6QPRkNWQ+ERY62z514t1q+jCJ1zqLD7DbnYNAlV7eZM4MiAsvMuWwWpidHe+X+t
IV6HO1cfDruCGeyflY6ZRUQzeqQY46ShLcw2f6H8VQVWnMtTronTDkGF1Vo/BDQv
wTH5F/bsEeD4Xje3XQowEBzOQgRxO5LMqyDZ1332zPI/Fy055eF9MS8X9SaR6Upt
idS0iKC5fDiSoMrmSQkAWt6peTF47380WDgJuT6preKXwNCpGRtvfkhbol9Nwrhq
h/pzXuRe6BNPQ9b0N2iZxSqUFxqpiD37CNzoOYToeGRdRhwL4B6KHe1E3rTEmwkq
Ydcy991naHHqBYlVoak2Q5ZP10YrHjNcOi4MYLpa6Ant0Fdkl6BmtMOjaeDNkZ8E
7DDEWy5mF9vLpLildZq7jrhMff/F75T+j2Q8IOJ+u6liDdPYWw32e7JTfQGja7L9
Q/Gmb45gSxnkzlsaZHuxGp0UQUQqiVuflyfiuMyBRH9iAITfvGbeG31ASJRdzARO
7dY6x/JLUEdLzy7bCLNx
=lhDU
-----END PGP SIGNATURE-----





Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Tue, 05 Jul 2011 21:09:57 GMT) Full text and rfc822 format available.

Notification sent to Gilles Filippini <pini@debian.org>:
Bug acknowledged by developer. (Tue, 05 Jul 2011 21:11:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Aug 2011 07:35:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:28:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.